Bug 1406804 - podfying cfme: clean-up evm.log in the cfme pod
Summary: podfying cfme: clean-up evm.log in the cfme pod
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: cfme-openshift-app
Version: 5.7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Satoe Imaishi
QA Contact: Einat Pacifici
Red Hat CloudForms Documentation
URL:
Whiteboard: container
Depends On:
Blocks: 1415755
TreeView+ depends on / blocked
 
Reported: 2016-12-21 14:19 UTC by Dafna Ron
Modified: 2018-04-17 11:27 UTC (History)
2 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1415755 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:11:38 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)
evm log (501.60 KB, application/x-gzip)
2016-12-21 14:19 UTC, Dafna Ron
no flags Details

Description Dafna Ron 2016-12-21 14:19:22 UTC
Created attachment 1234419 [details]
evm log

Description of problem:

looking the evm log in the cfme pod after deployment we have git bundle errors

Version-Release number of selected component (if applicable):

cfme-5.7.0.17-1.el7cf.x86_64

How reproducible:
100%

Steps to Reproduce:
1. deploy cfme pod 
2. rsh to the pod and open the evm.log
3.

Actual results:

the log starts with bundler errors

Expected results:

These sort of errors should not be in a downstream log

Additional info: full log attached


rake aborted!
Bundler::GitError: The git source https://github.com/ManageIQ/manageiq-providers-amazon is not yet checked out. Please run `bundle install` before trying to start your application
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/git/git_proxy.rb:224:in `allowed_in_path'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/git/git_proxy.rb:182:in `find_local_revision'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/git/git_proxy.rb:62:in `revision'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/git.rb:217:in `revision'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/git.rb:88:in `install_path'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/path.rb:121:in `expanded_path'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/path.rb:143:in `load_spec_files'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/git.rb:190:in `load_spec_files'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/path.rb:95:in `local_specs'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/source/git.rb:161:in `specs'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/definition.rb:665:in `block in converge_locked_specs'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/definition.rb:654:in `each'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/definition.rb:654:in `converge_locked_specs'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/definition.rb:243:in `resolve'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/definition.rb:174:in `specs'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/definition.rb:233:in `specs_for'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/definition.rb:222:in `requested_specs'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/runtime.rb:118:in `block in definition_method'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/runtime.rb:19:in `setup'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler.rb:99:in `setup'
/opt/rh/cfme-gemset/gems/bundler-1.13.6/lib/bundler/setup.rb:20:in `<top (required)>'
/var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
/var/www/miq/vmdb/config/application.rb:1:in `<top (required)>'
/var/www/miq/vmdb/Rakefile:5:in `<top (required)>'
LoadError: cannot load such file -- bundler/setup
/var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
/var/www/miq/vmdb/config/application.rb:1:in `<top (required)>'
/var/www/miq/vmdb/Rakefile:5:in `<top (required)>'
(See full trace by running task with --trace)
rake aborted!

Comment 2 CFME Bot 2017-01-19 20:46:10 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/519e24a947514bab783872644cc021c70f0d5ce4

commit 519e24a947514bab783872644cc021c70f0d5ce4
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Thu Jan 12 13:54:18 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 12 20:26:06 2017 -0500

    Cleanup logs after build.
    https://bugzilla.redhat.com/show_bug.cgi?id=1406804

 Dockerfile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Comment 5 Dafna Ron 2017-02-10 14:00:25 UTC
verified on cfme pod cfme-5.8.0.0-1.el7cf.x86_64


Note You need to log in before you can comment on or make changes to this bug.